Bug 1400616 - Power ops showing as available for an Archived vm.
Summary: Power ops showing as available for an Archived vm.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Julian Cheal
QA Contact: Leo Khomenko
URL:
Whiteboard: vm:power:usability
Depends On: 1245749
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-01 15:57 UTC by Satoe Imaishi
Modified: 2018-07-11 11:06 UTC (History)
10 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1245749
Environment:
Last Closed: 2017-02-27 19:25:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 Leo Khomenko 2016-12-01 16:24:41 UTC
this issue is still active - power options are still available from Quadicon menu.
and it's possible to initiate them - Power On/Reset Archived VM/Template from
All VMs&Templates view
The worst thing is that this goes to Tasks logging

Comment 3 CFME Bot 2017-01-05 14:35:49 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/39f215889a29a9243abe41c2345976b8abb6110c

commit 39f215889a29a9243abe41c2345976b8abb6110c
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Nov 2 11:16:56 2016 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 5 09:32:21 2017 -0500

    Merge pull request #11565 from gauravaradhye/remove_validate_vm_control
    
    Removed validate_vm_control method and calls as it is already replaced by supports_control
    (cherry picked from commit 5cec7864342fdb73f553cf392d759d87f3c17610)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1400616

 app/models/vm_or_template/operations.rb            | 26 ++++++++--------------
 app/models/vm_or_template/operations/snapshot.rb   | 10 +++++----
 .../application_helper/toolbar_builder_spec.rb     |  6 ++---
 3 files changed, 18 insertions(+), 24 deletions(-)

Comment 6 Leo Khomenko 2017-02-21 15:38:55 UTC
verified on 5.7.1.2

Comment 8 errata-xmlrpc 2017-02-27 19:25:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.